-----------------------------------------------------------------------------
----
---- attrib.as:  Attribute definitions used in the Axiom library.
----
-----------------------------------------------------------------------------
---- Copyright The Numerical Algorithms Group Limited 1991, 1992, 1993, 1994.
-----------------------------------------------------------------------------

import from AxiomLib;
inline from AxiomLib;

macro {
	Attribute X == X: Category == with;
}

Attribute nil;
Attribute infinite;
Attribute arbitraryExponent;
Attribute approximate;
Attribute complex;
Attribute shallowMutable;
Attribute canonical;
Attribute noetherian;
Attribute central;
Attribute partiallyOrderedSet;
Attribute arbitraryPrecision;
Attribute canonicalsClosed;
Attribute noZeroDivisors;
Attribute rightUnitary;
Attribute leftUnitary;
Attribute additiveValuation;
Attribute unitsKnown;
Attribute canonicalUnitNormal;
Attribute multiplicativeValuation;
Attribute finiteAggregate;
Attribute shallowlyMutable;
Attribute NullSquare;
Attribute JacobiIdentity;
Attribute commutative(T: Type);
